aboutsummaryrefslogtreecommitdiffstats
path: root/run_test_deployment.sh
diff options
context:
space:
mode:
authorParker Berberian <pberberian@iol.unh.edu>2019-10-10 15:07:45 -0400
committerParker Berberian <pberberian@iol.unh.edu>2019-10-10 15:07:45 -0400
commitab24a8de07dac62569ec79425241a6b974ed32a9 (patch)
tree55cc7ed4f570f36f777650f4fab2d1a60d25e218 /run_test_deployment.sh
parentf5025949a43415ae92b0885f3e61c43538f5c7b7 (diff)
Updated LaaS-ReflabHEADmaster
We have had divergent repositories for the code that runs in UNH because of difficulties with Gerrit and developer laziness. This incorporates the previous change (removing all references to pharos) and updates everything to what is currently running. Change-Id: I5c83c70d5ca686dfa03d49936fdce1603cdac16c Signed-off-by: Parker Berberian <pberberian@iol.unh.edu>
Diffstat (limited to 'run_test_deployment.sh')
-rwxr-xr-xrun_test_deployment.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/run_test_deployment.sh b/run_test_deployment.sh
new file mode 100755
index 0000000..1aa214f
--- /dev/null
+++ b/run_test_deployment.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+HOST="$1"
+
+[ -z "$HOST" ] && echo "only arg must be the test target's hostname" && exit 1
+
+
+JSON="$(st2 key get "$HOST" --json -a value | jq '.value' | head -c -2 | tail -c +2 | tr -d "\\")"
+echo "Got JSON $JSON"
+
+
+TEST_JOB="$(./generate_job.py "$JSON")"
+
+[ $? -gt 0 ] && echo "$TEST_JOB" && exit 1
+
+st2 key set "job_1" "$TEST_JOB"